Loading...
Searching...
No Matches
BALL::VIEW::ShortcutTableModel Class Reference

`#include <BALL/VIEW/WIDGETS/shortcutTableView.h>`

Inheritance diagram for BALL::VIEW::ShortcutTableModel:

## Public Member Functions

| ShortcutTableModel (ShortcutRegistry *reg)
int | rowCount (const QModelIndex &parent=QModelIndex()) const
int | columnCount (const QModelIndex &parent=QModelIndex()) const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
Qt::ItemFlags | flags (const QModelIndex &index) const
bool | isValid (const QKeySequence &seq) const
bool | setData (const QModelIndex &index, const QVariant &data, int role=Qt::EditRole)

## Detailed Description

Definition at line 45 of file shortcutTableView.h.

## Constructor & Destructor Documentation

## ShortcutTableModel()

BALL::VIEW::ShortcutTableModel::ShortcutTableModel | ( | ShortcutRegistry * | reg | ) |

## Member Function Documentation

## columnCount()

int BALL::VIEW::ShortcutTableModel::columnCount | ( | const QModelIndex & | parent = QModelIndex() | ) | const

## data()

QVariant BALL::VIEW::ShortcutTableModel::data | ( | const QModelIndex & | index,
|  | int | role = Qt::DisplayRole ) const

## flags()

Qt::ItemFlags BALL::VIEW::ShortcutTableModel::flags | ( | const QModelIndex & | index | ) | const

## headerData()

QVariant BALL::VIEW::ShortcutTableModel::headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role = Qt::DisplayRole ) const

## isValid()

bool BALL::VIEW::ShortcutTableModel::isValid | ( | const QKeySequence & | seq | ) | const

## rowCount()

int BALL::VIEW::ShortcutTableModel::rowCount | ( | const QModelIndex & | parent = QModelIndex() | ) | const

## setData()

bool BALL::VIEW::ShortcutTableModel::setData | ( | const QModelIndex & | index,
|  | const QVariant & | data,
|  | int | role = Qt::EditRole )